+ Responder ao Tópico



  1. #1
    Visitante

    Padrão Apache + PHP4 + Interbase

    Não consegui fazer funcionar o PHP4 com o Interbase no apache, como consigo????

  2. #2

    Padrão Apache + PHP4 + Interbase

    Francamente nao lembro se o php tem suporte ao interbase, mas parece que tem, se nao tiver ele acessa por "generic" ODBC, bom sem detalhes.

    bom isso depende da sua distro de linux, se voce tiver compilado o php4, voce habilitou essa função? algo do tipo --enable-interbase
    nao sei <IMG SRC="images/forum/icons/icon_smile.gif"> sinceramente

    ou a sua distro eh baseada em RPMS? no caso da conectiva voce prescisa do php4 + os pacotes php4-mysql e php4-pgsql para os respectivos BD, mysql e postgresql...
    entao voce deveria prescisa de algo do tipo php4-interbase ibase.. seila <IMG SRC="images/forum/icons/icon_smile.gif">
    isso tudo depende.

    certifiquesse que voce habilitou o suporte <IMG SRC="images/forum/icons/icon_smile.gif"> e quais linhas PHP voce esta usando para se conectar ao banco?



  3. #3

    Padrão Apache + PHP4 + Interbase

    tem sim! utilizo isso aqui! utilizo com Interbase ou com Firebird (um banco de dados originado do interbase e muito bom)

    vc terá que compilar o php......
    vá no site do PHP e baixe a versão tarball (.tar.gz)
    descompacte ela: tar -xvzf php-xxx.tar.gz

    entre no diretorio criado php-xxx/

    siga os comandos:
    ----------------

    $ ./configure --enable-track-vars --enable-trans-sid --with-mysql=/PATH_to_MYSQL --with-interbase=/PATH_to_INTERBASE --with-apxs=/var/www/bin/apxs

    $ make && make install

    $ cp php.ini-dist /usr/local/lib/php.ini

    ----------------
    ##### !!!!!!
    --with-apxs=/var/www/bin/apxs
    digite o diretorio onde se encontra os binarios do apache!
    no meu caso aqui seria: --with-apxs=/usr/local/apache/bin/apxs

    aqui eu compilei tudo de uma vez e configurei conforme minha necessidade....
    apache + php + OpenSSL + modSSL
    e configurando o php para utilizar o interbase.

    se quiser mais explicações sobre configurar estes pacotes acima, tamo ae!





    [ Esta mensagem foi editada por: PiTsA em 27-03-2003 01:50 ]